<template>
  <v-card class="mb-2">
    <v-card-title>
      <h3>Address {{label}}</h3>
    </v-card-title>
    <v-card-text>
        Road : {{ address.road }}<br/>
        Zip Code : {{ address.zipCode }}<br/>
        City : {{ address.city | uppercase }}<br/>
        <span v-if="address.complement">Complement: {{ address.complement }}<br/></span>
        <span v-if="address.country">Country: {{ address.country }}<br/></span>
        <span v-if="address.state">State: {{ address.state | uppercase }}<br/></span>
    </v-card-text>
    <v-card-actions>
      <v-btn text color="orange" @click="$emit('select')">Edit</v-btn>
      <v-btn text color="orange" @click="editAddress">Edit 2</v-btn>
    </v-card-actions>
  </v-card>
</template>

<script>
export default {
  name: 'mc-address',
  props: ['address', 'label'],
  methods: {
    editAddress() {
      this.$emit('select');
    }
  }
}
</script>
